コンテンツへスキップ

Maya · Batch

統合

モデルID maya/batch
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.049 49 APIクレジット · ≈ ₽5.17 このページで実行

APIキーを取得
Maya Research テキスト読み上げ #text-to-speech#tts

一致する音声説明を使用して最大100件のテキストを処理するMaya音声のバッチ版

Maya Research · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

各項目内に <emotion_name> タグを埋め込める音声合成テキストのリスト。

•必須

各テキストの声またはキャラクター属性を説明するリスト。説明の数はテキストの数と一致する必要があります。

詳細設定 sample_rate · output_format · temperature · top_p · max_tokens · repetition_penalty · enable_safety_checker
sample_rate デフォルト 48 kHz

すべての生成で共有する音声サンプルレート設定。24 kHzの高速処理と48 kHzの高品質から選択できます。

output_format デフォルト wav

生成するすべての音声録音に使用するファイル形式。

デフォルト 0.4

各生成に適用するサンプリング温度。

デフォルト 0.9

各生成に適用するNucleusサンプリング設定。

デフォルト 2000

各生成のSNACトークン上限。

デフォルト 1.1

各生成に適用する繰り返しペナルティ。

POST /run/maya/batch?wait=20 見積もり → $0.049
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/maya/batch?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Maya · Batchについて

1回のリクエストで複数の音声クリップを合成します。`texts` と `prompts` はそれぞれ1〜100件を受け取り、長さを一致させて各テキストと音声説明を対応付ける必要があります。感情タグは各テキストで使用できます。サンプルレート、出力形式、temperatureなどの設定はすべてに適用され、結果には音声ファイルと再生時間のリストが含まれます。

パラメータ

名前型 デフォルト許可される値 説明
texts必須
型string[]
≤ 100項目
各項目内に <emotion_name> タグを埋め込める音声合成テキストのリスト。
prompts必須
型string[]
≤ 100項目
各テキストの声またはキャラクター属性を説明するリスト。説明の数はテキストの数と一致する必要があります。
temperature任意
型number
デフォルト0.4
0 – 2
各生成に適用するサンプリング温度。
top_p任意
型number
デフォルト0.9
0 – 1
各生成に適用するNucleusサンプリング設定。
max_tokens任意
型integer
デフォルト2000
28 – 4,000
各生成のSNACトークン上限。
repetition_penalty任意
型number
デフォルト1.1
1 – 2
各生成に適用する繰り返しペナルティ。
sample_rate任意
型enum
デフォルト48 kHz
48 kHz24 kHz
すべての生成で共有する音声サンプルレート設定。24 kHzの高速処理と48 kHzの高品質から選択できます。
output_format任意
型enum
デフォルトwav
wavmp3
生成するすべての音声録音に使用するファイル形式。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "maya/batch",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 49,
    "usd": "0.049",
    "charged": 49,
    "refunded": 0
  },
  "input": {
    "texts": [
      "Hello from Doitong. This is a short test sentence."
    ],
    "prompts": [
      "Hello from Doitong. This is a short test sentence."
    ]
  },
  "output": {
    "audios": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
        "content_type": "audio/mpeg",
        "file_name": "0-output.mp3",
        "file_size": 1843200
      }
    ],
    "durations": [
      5
    ],
    "sample_rate": "48 kHz",
    "total_generation_time": 5.7,
    "average_rtf": 0.15
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audios
array of object {url, content_type, file_name, file_size}生成された音声ファイル。リストとして返されます。
durations
array of number各生成音声録音の秒単位の長さ。
sample_rate
stringすべての生成音声ファイルで共有するサンプリングレート。
total_generation_time
numberすべての音声ファイルの合計生成時間(秒)。
average_rtf
numberすべての生成における平均リアルタイム係数。

その他のモデル: テキスト読み上げ

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/maya/batch.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt